package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.dto.ConditionDto;
import com.ym.mec.biz.dal.entity.VipGroupCategory;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

public interface VipGroupCategoryDao extends BaseDAO<Integer, VipGroupCategory> {

    List<VipGroupCategory> findAllByOrgan(@Param("organId") String organId);

    List<VipGroupCategory> findTeacherDefaultSalary(Integer userId);

    List<ConditionDto> findConditionCategorys();

    List<VipGroupCategory> findByIds(@Param("categoryIds") Set<Integer> categoryIds);
}
